##### 7.7.8.0. vct2str

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  vct2str(v[,n]); v a vector, n an optional integer

Return:
  string

Purpose:
  convert a vector into a word in free algebra

Note:
  if an optional integer is not 0, stars signs are used in multiplication

Example:

    LIB "freegb.lib";
    ring r = (0,a),(x,y3,z(1)),dp;
    vector v = [-7,x,y3^4,x2,z(1)^3];
    vct2str(v);
    ==> -7xy3y3y3y3xxz(1)z(1)z(1)
    vct2str(v,1);
    ==> -7*x*y3*y3*y3*y3*x*x*z(1)*z(1)*z(1)
    vector w = [-7a^5+6a,x,y3,y3,x,z(1),z(1)];
    vct2str(w);
    ==> (-16807*a^5+6*a)xy3y3xz(1)z(1)
    vct2str(w,1);
    ==> (-16807*a^5+6*a)*x*y3*y3*x*z(1)*z(1)

User manual for Singular version 4-0-3, 2016, generated by texi2html.